Skip to main content
POST
/
threads
/
{thread_id}
/
history
Get Thread History Post
curl --request POST \
  --url https://api.example.com/threads/{thread_id}/history \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 10,
  "before": {},
  "metadata": {},
  "checkpoint": {},
  "subgraphs": false,
  "checkpoint_ns": "<string>"
}
'
import requests

url = "https://api.example.com/threads/{thread_id}/history"

payload = {
"limit": 10,
"before": {},
"metadata": {},
"checkpoint": {},
"subgraphs": False,
"checkpoint_ns": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 10,
before: {},
metadata: {},
checkpoint: {},
subgraphs: false,
checkpoint_ns: '<string>'
})
};

fetch('https://api.example.com/threads/{thread_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "values": {},
    "checkpoint": {
      "checkpoint_id": "<string>",
      "thread_id": "<string>",
      "checkpoint_ns": ""
    },
    "next": [
      "<string>"
    ],
    "tasks": [
      {}
    ],
    "interrupts": [
      {}
    ],
    "metadata": {},
    "created_at": "2023-11-07T05:31:56Z",
    "parent_checkpoint": {
      "checkpoint_id": "<string>",
      "thread_id": "<string>",
      "checkpoint_ns": ""
    },
    "checkpoint_id": "<string>",
    "parent_checkpoint_id": "<string>"
  }
]
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

thread_id
string
required

Body

application/json

Request model for thread history endpoint

limit
integer | null
default:10

Number of states to return

Required range: 1 <= x <= 1000
before

Return states before this checkpoint (checkpoint ID string, raw checkpoint dict, or RunnableConfig with 'configurable' key)

metadata
Metadata · object | null

Filter by metadata

checkpoint
Checkpoint · object | null

Checkpoint for subgraph filtering

subgraphs
boolean | null
default:false

Include states from subgraphs

checkpoint_ns
string | null

Checkpoint namespace

Response

Successful Response

values
Values · object
required

Channel values (messages, etc.)

checkpoint
ThreadCheckpoint · object
required

Current checkpoint

next
string[]

Next nodes to execute

tasks
Tasks · object[]

Tasks to execute

interrupts
Interrupts · object[]

Interrupt data

metadata
Metadata · object

Checkpoint metadata

created_at
string<date-time> | null

Timestamp of state creation

parent_checkpoint
ThreadCheckpoint · object | null

Parent checkpoint

checkpoint_id
string | null

Checkpoint ID (for backward compatibility)

parent_checkpoint_id
string | null

Parent checkpoint ID (for backward compatibility)